%define upstream_name    Ubic
%define upstream_version 1.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dummy credentials module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Config)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a perl frontend to ubic services.

It is a singleton OOP class. All of its methods should be invoked as class
methods:

    Ubic->start('foo');
    Ubic->stop('foo');
    my $status = Ubic->status('foo');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
rm -f t/watchdog.t
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/ubic
%{_bindir}/ubic-admin
%{_bindir}/ubic-daemon
%{_bindir}/ubic-periodic
%{_bindir}/ubic-update
%{_bindir}/ubic-watchdog
%{_mandir}/man1/ubic-admin.1.xz
%{_mandir}/man1/ubic-daemon.1.xz
%{_mandir}/man1/ubic-periodic.1.xz
%{_mandir}/man1/ubic-update.1.xz
%{_mandir}/man1/ubic-watchdog.1.xz
%{_mandir}/man1/ubic.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.460.0-2.mga3
+ Revision: 374606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.460.0-1.mga3
+ Revision: 317768
- update to 1.46

* Wed Nov 07 2012 jquelin <jquelin> 1.450.0-1.mga3
+ Revision: 315938
- update to 1.45

* Wed Jul 04 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 267555
- update to 1.44

* Mon Jun 11 2012 kharec <kharec> 1.410.0-1.mga3
+ Revision: 259663
- imported package perl-Ubic

